.ag-theme-alpine {
  /* --ag-borders:none; */
  --ag-header-background-color: var(--accent) !important;
  --ag-header-foreground-color: white !important; 
  /* --ag-font-size:14px !important; */
  --ag-row-height:28px !important; 
  --ag-padding:10px !important;
  --border-right: none !important;
  --ag-selected-row-background-color: rgb(240,240,240)!important;
  --ag-cell-header-container-padding:0px !important;
  --ag-cell-header-font-size:5vh !important;
  --ag-header-column-separator-display: block!important;  
  --ag-header-column-separator-height: 70%!important;
  --ag-borders: none;
  --ag-row-border-color:rgb(242,242,242) !important;
}

.ag-header-cell.ag-header-cell-wrap-text.ag-header-cell-auto-height.ag-focus-managed{ 
  font-size: 16px !important;
  padding:0px !important;
}
.ag-cell{
  font-size: 16px !important;
}

/* .ag-header-cell-label{
  font-size:14px;
} */
.ag-text-field-input{
  height:40px!important;
}

.ag-header-cell-label {
  display: flex;
  justify-content: center !important;
  align-items: center;
  text-align: center;
}
.ag-header-cell-text{
  text-overflow:ellipsis !important;
  white-space: pre-line !important;
}


.ag-theme-alpine .ag-header {
  background-color: var(--accent) !important;
  border-bottom: 1px solid black;
} 


.ag-header-cell {
  overflow: visible !important;  /* Ensure visibility */
}

.ag-header-cell .ag-header-cell-menu-button {
  opacity: 1 !important;  /* Force visibility */
  visibility: visible !important;
}

.ag-cell{
  padding-left: 3px !important;
  padding-right: 3px !important;

  padding-top: 5px !important;
  padding-bottom: 5px !important;
}



/* Formatting 'reset' button within filter menu */

.ag-standard-button.ag-filter-apply-panel-button:nth-child(1) {
  color: white !important;
  background-color: var(--accent_negative) !important;
  border: 1px  var(--accent) !important;
  border-radius: 0 !important;
  font-size: 9px !important;
  letter-spacing: normal !important;
  
  }
  
  
  
  /* Formatting 'apply' button within filter menu */
  
  .ag-standard-button.ag-filter-apply-panel-button:nth-child(2) {
  color: white !important;
  background-color: rgb(69,85,96) !important;
  border: 1px  black !important;
  text-transform: uppercase;
  font-size: 9px !important;
  letter-spacing: normal !important;
  border-radius: 0 !important;
  
  }

/* FORMATTING HEADER OF FLOATING FILTER BOX*/

.ag-tab.ag-tab-selected{
background-color: rgb(69,85,96) !important;
color:white !important;
border-bottom-color: var(--accent) !important;
}

/* FORMATTING THE RESET BUTTON FOR THE DROPDOWN */

button.select-all{
border-radius: 0 !important;
color:white !important;
background-color: rgb(69,85,96) !important;
font-size: 11px !important;
height: 2vh !important;
letter-spacing: normal !important;
}

button.select-all.select-all{
padding:0 !important;
}

/* FORMATTING HEADER FOR THE DROPDOWN */

h1.my-sub-header{
color: black !important;
font-size: 18px !important;
margin:0!important;
margin-top:1.2vh!important;
margin-bottom:0vh!important;
padding-bottom:0vh!important;
padding-left:10px;
}


@media only screen and (min-width: 1200px) {
  .ag-header-cell.ag-header-cell-wrap-text.ag-header-cell-auto-height.ag-focus-managed{
    font-size: 16px !important;
    padding:0px !important;
  }
  .ag-cell{
    font-size: 16px !important;
  }
}


@media only screen and (min-width: 900px) and (max-width: 1199px){
  .ag-header-cell.ag-header-cell-wrap-text.ag-header-cell-auto-height.ag-focus-managed{
    font-size: 14px !important;
    padding:0px !important;
  }
  .ag-cell{
    font-size: 14px !important;
  }
}

@media only screen and (max-width: 899px) and (min-width: 700px){

               
  .ag-cell{
    font-size: 13px !important;
  }


  .ag-header-cell.ag-header-cell-wrap-text.ag-header-cell-auto-height.ag-focus-managed{
    font-size: 13px !important;
    padding:0px !important;
  }



}



@media only screen and (max-width: 699px) {
  .ag-header-cell.ag-header-cell-wrap-text.ag-header-cell-auto-height.ag-focus-managed{
    font-size: 12px !important;
    padding:0px !important;
  }
  .ag-header-cell{
    font-size: 12px !important;
  }
  .ag-cell{
    font-size: 12px !important;
  }

  span.ag-paging-page-summary-panel{
    font-size:10px !important;
    margin-right:0px !important;
  }

  span.ag-paging-row-summary-panel{
    font-size:10px !important;
    margin:0px !important;
  }
}


